Bug 74518 - iptables modules load even if no firewall used
iptables modules load even if no firewall used
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-09-25 15:33 EDT by David Morse
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-14 00:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Morse 2002-09-25 15:33:40 EDT
Description of Problem:

Due to the way ifup checks for firewall existence, it actually loads iptables 
modules and they stay resident after bootup, even if the user chose no firewall 
at install time:

# Is there a firewall running, and does it look like one we configured?
if iptables -L -n 2>/dev/null | grep -q RH-Lokkit-0-50-INPUT ; then

the iptables command above is what triggers the iptable_filter and ip_tables 
modules to load:

[root@papp100 root]# lsmod
Module                  Size  Used by    Not tainted
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14936   1  [iptable_filter]

Version-Release number of selected component (if applicable): 6.95-1

How Reproducible:  Every time.

Steps to Reproduce:
1. Boot the system
2. /sbin/lsmod

Actual Results:  ip_tables and iptable_filter modules load even if user has no 

Expected Results:  Modules above shouldn't be loaded if there are no firewall 

Additional Information:
This could be confusing to users who chose "no firewall" yet see iptables 
modules loaded when doing an lsmod.
Comment 1 Bill Nottingham 2003-01-14 00:26:08 EST
Changed in 7.03-1.

Note You need to log in before you can comment on or make changes to this bug.